<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Template extends BaseModel
{
    public function owner(): BelongsTo
    {
        return $this->belongsTo(User::class, 'owner_id');
    }

    public function category(): BelongsTo
    {
        return $this->belongsTo(TemplateCategory::class, 'category_id');
    }
}
