<?php

namespace App\Services\Pacs;

enum DicomTags: string
{
    case AcquisitionDate = 'AcquisitionDate';
    case AcquisitionTime = 'AcquisitionTime';
    case ContentDate = 'ContentDate';
    case ContentTime = 'ContentTime';
    case AcquisitionDeviceProcessingDescription = 'AcquisitionDeviceProcessingDescription';
    case BodyPartExamined = 'BodyPartExamined';
    case Modality = 'Modality';
    case SoftwareVersions = 'SoftwareVersions';
    case ProtocolName = 'ProtocolName';
    case StationName = 'StationName';
    case InstitutionAddress = 'InstitutionAddress';
    case StudyDescription = 'StudyDescription';
    case SeriesDescription = 'SeriesDescription';
    case Manufacturer = 'Manufacturer';
    case OperatorsName = 'OperatorsName';
    case ManufacturerModelName = 'ManufacturerModelName';
    case Private10 = '0029,0010';
    case IW_Private = '0009,0010';
}
